aboutsummaryrefslogblamecommitdiffstats
path: root/community/kdevelop/APKBUILD
blob: f48a2465c6985b91cff40686b109d3afe1ddee70 (plain) (tree)
1
2
3
4
5
6
7
8
9
10


                                                  
            
        
                                                                            



                                                                                       





































                                                                                        

                                                                                    

                                 



                                                     
                        


                                             
                           


           
                                                              

 
                                                                                                                                                                   
                                                                                                                                                            
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kdevelop
pkgver=5.6.1
pkgrel=1
arch="all !armhf !ppc64le !s390x !mips !mips64" # Blocked by qt5-qtwebengine
url="https://www.kdevelop.org/"
pkgdesc="A featureful, plugin-extensible IDE for C/C++ and other programming languages"
license="GPL-2.0-or-later AND LGPL-2.0-or-later AND GFDL-1.2-only"
depends="indent"
makedepends="
	boost-dev
	clang
	clang-dev
	clang-libs
	extra-cmake-modules
	grantlee-dev
	karchive-dev
	kcmutils-dev
	kconfig-dev
	kcrash-dev
	kdeclarative-dev
	kdoctools-dev
	kguiaddons-dev
	kiconthemes-dev
	kio-dev
	kitemmodels-dev
	kitemviews-dev
	kjobwidgets-dev
	knewstuff-dev
	knotifications-dev
	knotifyconfig-dev
	kparts-dev
	kservice-dev
	ktexteditor-dev
	kwindowsystem-dev
	kxmlgui-dev
	libkomparediff2-dev
	libksysguard-dev
	qt5-qtbase-dev
	qt5-qtwebengine-dev
	shared-mime-info
	threadweaver-dev
	"
makedepends="
	$makedepends
	llvm-dev
	" # Should always install the version of llvm that contains /usr/bin/llvm-config
checkdepends="xvfb-run"
source="https://download.kde.org/stable/kdevelop/$pkgver/src/kdevelop-$pkgver.tar.xz
	fix-find-clang-path.patch
	"
subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
options="!check" # Broken

build() {
	cmake -B build \
		-DCMAKE_BUILD_TYPE=None \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_INSTALL_LIBDIR=lib
	cmake --build build
}

package() {
	DESTDIR="$pkgdir" cmake --build build --target install
}

sha512sums="a03e22d57b5d556489e3e140e4cad6939170087a36afa8c755318ff6b5101806b8df82bd402e32daa715f4a72352dada1c2ce3ff4455dcac0debe6456c0bc7cd  kdevelop-5.6.1.tar.xz
6700fcf1da4243aa9950c8c81e47f916d3d04cd11a73fbf14bbe77209fd19000078f49c266d0b58158d7f85cdd89c0316d86284bf665470a5cfb2c8318bdf56d  fix-find-clang-path.patch"